> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Send App Message

> Send a message to participants in a room



## OpenAPI

````yaml POST /rooms/{room_name}/send-app-message
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /rooms/{room_name}/send-app-message:
    post:
      tags:
        - rooms
      summary: rooms/:name/send-app-message
      description: Send a message to participants in a room
      operationId: SendAppMessage
      parameters:
        - name: room_name
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                data:
                  type: object
                  description: >-
                    A javascript object that can be serialized into JSON. Data
                    sent must be within the 4kb size limit.
                recipient:
                  type: string
                  description: >-
                    Determines who will recieve the message. It can be either a
                    participant session_id, or `*`. The `*` value is the
                    default, and means that the message is a "broadcast" message
                    intended for all participants.
                  default: '*'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    sent: 'true'
        '400':
          $ref: '#/components/responses/400'
      deprecated: false
      security:
        - bearerAuth: []
components:
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````